/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.supinfo.spitfireboard.services;

import com.supinfo.spitfireboard.dao.PostDao;
import com.supinfo.spitfireboard.dao.UserDao;
import com.supinfo.spitfireboard.entities.Post;
import java.util.Date;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
/**
 *
 * @author mathilde
 */
@Stateless
public class StatsService {
    
    @EJB
    private UserDao userDao;
    
    @EJB
    private PostDao postDao;
    
    public Integer getUserNumber() {
        int number = userDao.getAll().size();
        return number;
    }
    
    public Integer getPostNumber() {
        int number = postDao.getAll().size();
        return number;
    }
    
    public Date getFirstPostDate() {
        Post post = postDao.getFirstPost();
        if(post != null){
            Date date = post.getCreationDate();
            return date;
        } else {
            return new Date();
        }
    }
}
